<?php

/******************
 * WINDOWS PHONE 7
 ******************/
 
class windowsPhone
{
	var $title='';
	var $contents=null;
	var $mail=null;
	var $css=null;
	var $js=null;
	var $bg=null;
	
	//Internal params
	function addTitle($title='')
	{
		$this->title=$title;
	}
	
	function addMail($mail)
	{
		$this->mail=$mail;
	}
	
	function addContent($title, $page)
	{
		$this->contents[$title]=$page;
	}
	
	function setBackground($path)
	{
		$this->bg=$path;
	}
	
	//Making lists
	function startList()
	{
		?><ul><?php
	}
	
	function endList()
	{
		?></ul><?php
	}
	
	function addList($text)
	{
		?><li><?php echo $text ?></li><?php
	}
	
	//Affichage
	function listJs()
	{
		$files=null;
		$folder="7framework/js/";
		$dir = './'.$folder;
		
		if(is_dir($dir))
		{
			$dh  = opendir($dir);
			while (false !== ($filename = readdir($dh))) {
				if(is_file($dir.$filename))
				{
					$files[] = $filename;
				}
			}
			sort($files);
			
			for($i=0;$i<count($files);$i++)
			{
				?>
				<script type="text/javascript" src="<?php echo $folder.$files[$i] ?>"></script>
				<?php
			}
		}
	}
	
	function displayPage()
	{
		//Title
		?><html>
<head>
<title><?php echo $this->title ?></title>

<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="mobileoptimized" content="480" />
<meta name=”HandheldFriendly” content=”true” />
<meta name="viewport" content="width=device-width, height=device-height, initial-scale=1, maximum-scale=1, user-scalable=0"/>

<link rel="icon" type="image/png" href="http://www.techgen.fr/wp-content/uploads/2011/04/windows-phone-7-logo.jpg" />
<link rel="image_src" href="http://www.techgen.fr/wp-content/uploads/2011/04/windows-phone-7-logo.jpg" />
<meta property="og:image" content="http://www.techgen.fr/wp-content/uploads/2011/04/windows-phone-7-logo.jpg" />
<?php
	$this->listJs();
?>
<link rel="stylesheet" type="text/css" href="7framework/css/framework.css"/>
<link href="7framework/css/framework_h.css" title="hcss" type="text/css" rel="stylesheet" />
</head>
<body>
		<div id="chargement">
		Chargement...
		</div>
		
		<div id="options">
			<img src="7framework/img/button/search.png" title="Rechercher" onclick="toggleSearch();"/>
			<img src="7framework/img/button/mail.png" title="Contacter" onclick="document.location.href='mailto:<?php echo $this->mail ?>';"/>
		</div>
		
		<div id="recherche">
			<div style="position:relative;text-align:center;">
			<input type="text" style="" id="text"/><br/>
			<!-- <a href="#" onclick="Rechercher('resultat','text');"><img src="7framework/img/button/search.png" title="Rechercher"/></a> -->
			<a href="#" onclick="hideSearch();"><img src="7framework/img/button/close.png" title="Fermer"/></a>
			</div>
			<br/>
			<div id="resultat" style="position:relative"></div>
		</div>
		
		<div id="control">
			<img id="T" src="7framework/img/button/T.png" alt="A"/>
			<img id="L" src="7framework/img/button/L.png" alt="&lt;"/>
			<img id="R" src="7framework/img/button/R.png" alt="&gt;"/>
			<img id="B" src="7framework/img/button/B.png" alt="V"/>
		</div>
		
		<div id="main">
		
		</div>
		<div id="menus">
			<div id="titletop">
				<?php echo strtolower($this->title) ?>
			</div>
			<?php
			
			//menus
			if($this->contents)
			{
				?>
				
				<?php

				foreach($this->contents as $title=>$page)
				{
					?>
					<div class="menu">
						<?php echo $title ?>
					</div>
					<?php
				}
				
				
			}
		
		?>
		</div>
		<?php
		
		//contents
		if($this->contents)
		{
			foreach($this->contents as $title=>$page)
			{
				?>
				<div class="contenumenu">
				<?php 
				if(is_file('./7framework/php/pages/'.$page))	
					include './7framework/php/pages/'.$page; 
				else 
					echo $page.'&nbsp;';
				?>
				</div>
				<?php
			}
		}
		
		//Fond mémorisé
		$bg=$this->bg;
		if(!$this->bg)
		{
			$folder="img/bg/";
			$dir = '7framework/'.$folder;
			if(is_dir($dir))
			{
				$dh  = opendir($dir);
				while (false !== ($filename = readdir($dh))) {
					$files[] = $filename;
				}
				sort($files);
				$bg=$folder.$files[rand(2,count($files)-2)];
			}
		}
		
				
		?>
		<input type="hidden" id="bg" value="<?php echo $bg ?>"/>
		</body>
		</html>
		<?php
	}
}
